Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 806234 - Support for vfs 301
Summary: Support for vfs 301
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libfprint
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-23 09:38 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-02-19 12:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 12:24:32 UTC
Type: ---


Attachments (Terms of Use)
Updated spec file. (5.93 KB, text/x-rpm-spec)
2012-03-23 09:38 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2012-03-23 09:38:50 UTC
Created attachment 572208 [details]
Updated spec file.

I have the following fingerprint reader:

Bus 001 Device 004: ID 138a:0008 Validity Sensors, Inc. VFS300 Fingeprint Reader

Upstream doesn't appear to support it yet, but another contributor has done the work: 

https://bugs.launchpad.net/ubuntu/+source/libfprint/+bug/744310/comments/31

I've built the package. It's a little messy(see attached spec), since configure.ac and Makefile.am need to be patched and then autoconf etc run. It also needs another source (the drivers) which aren't included in the upstream tarball yet. I understand that this may not get included immediately, but I thought I'd open a bug anyway, so you could at least keep an eye on it :)

Here's a koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3925473

The SRPM is updated here:
http://ankursinha.fedorapeople.org/libfprint-vfs301/libfprint-0.4.0-4.fc16.src.rpm

Thanks,
Ankur

Comment 1 Mike Manilone 2012-05-11 05:49:01 UTC
I've tested it on Fedora 17 x86_64 and works properly.

Good job, Ankur!

Comment 2 Nilton Moura 2012-08-04 07:07:29 UTC
Hi,

Just to let people know that I've tested it on Fedora 17 x86_64 and didn't work, but my device is slightly different:

Bus 001 Device 003: ID 138a:0011 Validity Sensors, Inc.

This device came with the New Vostro 3460. I guess this is the VFS5011 model.

Nilton.

Comment 3 Fedora End Of Life 2013-01-16 12:17:06 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 12:30:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Ankur Sinha (FranciscoD) 2013-02-14 00:30:12 UTC
Reopening. F18 still doesn't have support for vfs301.

Comment 6 Bastien Nocera 2013-02-19 11:06:56 UTC
(In reply to comment #5)
> Reopening. F18 still doesn't have support for vfs301.

It does. VFS301 is in libfprint 0.5.0 which is in Fedora 18 and 17.

Comment 7 Ankur Sinha (FranciscoD) 2013-02-19 12:22:10 UTC
Hi Bastien,

F18 doesn't seem to have 0.5.0

[ankur@dhcppc1  ~]$ bodhi -L fprintd
     f17-updates-candidate  fprintd-0.4.1-2.fc17
       f17-updates-testing  fprintd-0.4.1-3.fc17
               f17-updates  fprintd-0.4.1-2.fc17
       f18-updates-testing  fprintd-0.4.1-4.fc18
               f18-updates  fprintd-0.4.1-4.fc18
     f18-updates-candidate  fprintd-0.4.1-4.fc18
[ankur@dhcppc1  ~]$

I can't find a build here either:

http://koji.fedoraproject.org/koji/packageinfo?packageID=7228

0.4.1 seems to be the latest in Fedora. Am I missing something? Reopening. Please re-close if required.

Thanks,
Warm regards,
Ankur

Comment 8 Ankur Sinha (FranciscoD) 2013-02-19 12:24:32 UTC
Ugh, wrong package.

libfprint is 0.5. Fingerprint reader detected. Closing. 

Sorry for the noise. 

Thanks,
Ankur


Note You need to log in before you can comment on or make changes to this bug.